/*
 * This is part of the doxml library, a parser for XML.  It should not
 *  require any functionality not defined in ANSI C's standard libraries.
 *
 * Copyright (C) 1999 John Stracke, http://www.thibault.org
 *
 * This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public License
 *  as published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 * $Log: buff.h,v $
 * Revision 1.2  1999/07/24 14:53:14  francis
 * Adding support for attribute value normalization
 *
 * Revision 1.1  1999/07/18 20:25:06  francis
 * Moving the global buff (static in parse.c) into the doxml_context,
 * to make the parser reentrant, so that it can be used from two threads
 * simultaneously.  Documenting the change; updating the version number
 * of the manual.
 *
 */
#ifndef _DOXML_DOXML_BUFF_H_
#define _DOXML_DOXML_BUFF_H_

static const char* _doxml_version_ident_doxml_buff_h="$Id: buff.h,v 1.2 1999/07/24 14:53:14 francis Exp $";

#include <doxml/xml.h>

int doxml_buff_init(doxml_context* context);
int doxml_buff_append(doxml_context* context,
                      char ch);
int doxml_buff_append_str(doxml_context* context,
                          const char* s);
int doxml_buff_append_collapse_space(doxml_context* context,
                                     char ch,
                                     int collapse);
int doxml_buff_append_str_collapse_space(doxml_context* context,
                                         const char* s,
                                         int collapse);
int doxml_buff_is_empty(doxml_context* context);
const char* doxml_buff_extract(doxml_context* context);

#endif /*_DOXML_DOXML_BUFF_H_*/
